> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arqitech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tokens

> Returns list of supported tokens, optionally filtered by provider



## OpenAPI

````yaml api-reference/openapi.json get /v1/tokens
openapi: 3.1.0
info:
  title: dKit API
  description: Cross-chain swap aggregation API
  contact:
    name: API Support
    email: support@dkit.xyz
  version: v1
servers:
  - url: https://api.dkit.xyz
    description: Production API server
  - url: https://staging-api.dkit.xyz
    description: Staging API server
security: []
tags:
  - name: Core Endpoints
    description: Primary swap operations for quotes and tracking
  - name: Service Endpoints
    description: Specific transaction and integrations services
  - name: Data Endpoints
    description: Information endpoints for tokens, rates, and network data
externalDocs:
  description: API Documentation
  url: https://docs.dkit.xyz
paths:
  /v1/tokens:
    get:
      tags:
        - Data Endpoints
      summary: Get tokens
      description: Returns list of supported tokens, optionally filtered by provider
      parameters:
        - schema:
            type: string
            enum:
              - THORCHAIN
              - THORCHAIN_STREAMING
              - CHAINFLIP
              - CHAINFLIP_STREAMING
              - MAYACHAIN
              - MAYACHAIN_STREAMING
              - ONEINCH
              - JUPITER
              - GARDEN
              - JUPITER->CHAINFLIP
              - ONEINCH->CHAINFLIP
              - CHAINFLIP->ONEINCH
            description: Provider name to filter tokens
          required: false
          description: Provider name to filter tokens
          name: provider
          in: query
      responses:
        '200':
          description: Tokens retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokensResponse'
              examples:
                All supported tokens:
                  value:
                    tokens:
                      - asset: ETH.ETH
                        chain: ETH
                        symbol: ETH
                        name: Ethereum
                        decimals: 18
                        providers:
                          - THORCHAIN
                          - MAYACHAIN
                          - CHAINFLIP
                          - ONEINCH
                      - asset: ETH.USDC-0XA0B86991C6218B36C1D19D4A2E9EB0CE3606EB48
                        chain: ETH
                        symbol: USDC
                        name: USD Coin
                        decimals: 6
                        providers:
                          - THORCHAIN
                          - CHAINFLIP
                          - ONEINCH
                      - asset: BTC.BTC
                        chain: BTC
                        symbol: BTC
                        name: Bitcoin
                        decimals: 8
                        providers:
                          - THORCHAIN
                          - MAYACHAIN
                          - CHAINFLIP
                      - asset: ARB.USDC-0XAF88D065E77C8CC2239327C5EDB3A432268E5831
                        chain: ARB
                        symbol: USDC
                        name: USD Coin
                        decimals: 6
                        providers:
                          - ONEINCH
                          - CHAINFLIP
                      - asset: ARB.ARB-0X912CE59144191C1204E64559FE8253A0E49E6548
                        chain: ARB
                        symbol: ARB
                        name: Arbitrum
                        decimals: 18
                        providers:
                          - ONEINCH
                      - asset: SOL.SOL
                        chain: SOL
                        symbol: SOL
                        name: Solana
                        decimals: 9
                        providers:
                          - JUPITER
                          - CHAINFLIP
                      - asset: SOL.USDC-EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
                        chain: SOL
                        symbol: USDC
                        name: USD Coin
                        decimals: 6
                        providers:
                          - JUPITER
                          - CHAINFLIP
                      - asset: AVAX.AVAX
                        chain: AVAX
                        symbol: AVAX
                        name: Avalanche
                        decimals: 18
                        providers:
                          - THORCHAIN
                          - ONEINCH
                      - asset: MAYA.CACAO
                        chain: MAYA
                        symbol: CACAO
                        name: Cacao
                        decimals: 10
                        providers:
                          - MAYACHAIN
                      - asset: DASH.DASH
                        chain: DASH
                        symbol: DASH
                        name: Dash
                        decimals: 8
                        providers:
                          - MAYACHAIN
                    total: 10
                  summary: List of all supported tokens across all providers
                ThorChain tokens:
                  value:
                    tokens:
                      - asset: ETH.ETH
                        chain: ETH
                        symbol: ETH
                        name: Ethereum
                        decimals: 18
                        providers:
                          - THORCHAIN
                      - asset: BTC.BTC
                        chain: BTC
                        symbol: BTC
                        name: Bitcoin
                        decimals: 8
                        providers:
                          - THORCHAIN
                      - asset: THOR.RUNE
                        chain: THOR
                        symbol: RUNE
                        name: THORChain
                        decimals: 8
                        providers:
                          - THORCHAIN
                      - asset: AVAX.AVAX
                        chain: AVAX
                        symbol: AVAX
                        name: Avalanche
                        decimals: 18
                        providers:
                          - THORCHAIN
                    total: 4
                    provider: THORCHAIN
                  summary: Tokens supported by ThorChain provider
        '400':
          description: >-
            Bad Request - The request was invalid or cannot be served. Check the
            error message for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
components:
  schemas:
    TokensResponse:
      anyOf:
        - type: array
          items:
            type: object
            properties:
              provider:
                type: string
              name:
                type: string
              timestamp:
                type: string
              version:
                type: object
                properties:
                  major:
                    type: number
                  minor:
                    type: number
                  patch:
                    type: number
                required:
                  - major
                  - minor
                  - patch
              keywords:
                type: array
                items:
                  type: string
              count:
                type: number
              tokens:
                type: array
                items:
                  type: object
                  properties:
                    symbol:
                      type: string
                    name:
                      type: string
                    chainId:
                      type: string
                    address:
                      type: string
                    decimals:
                      type: number
                    chain:
                      type: string
                    identifier:
                      type: string
                    ticker:
                      type: string
                    shortCode:
                      type: string
                    extensions:
                      type: object
                      properties:
                        assetReference:
                          type: string
                        bridgeContract:
                          type: string
                        details:
                          type: string
                        rootAddress:
                          type: string
                        underlyingAsset:
                          type: string
                    coingeckoId:
                      type: string
                    logoURI:
                      type:
                        - string
                        - 'null'
                  required:
                    - symbol
                    - chainId
                    - decimals
                    - chain
                    - identifier
                    - ticker
                    - logoURI
            required:
              - provider
              - name
              - timestamp
              - version
              - keywords
              - count
              - tokens
        - type: object
          properties:
            provider:
              type: string
            name:
              type: string
            timestamp:
              type: string
            version:
              type: object
              properties:
                major:
                  type: number
                minor:
                  type: number
                patch:
                  type: number
              required:
                - major
                - minor
                - patch
            keywords:
              type: array
              items:
                type: string
            count:
              type: number
            tokens:
              type: array
              items:
                type: object
                properties:
                  symbol:
                    type: string
                  name:
                    type: string
                  chainId:
                    type: string
                  address:
                    type: string
                  decimals:
                    type: number
                  chain:
                    type: string
                  identifier:
                    type: string
                  ticker:
                    type: string
                  shortCode:
                    type: string
                  extensions:
                    type: object
                    properties:
                      assetReference:
                        type: string
                      bridgeContract:
                        type: string
                      details:
                        type: string
                      rootAddress:
                        type: string
                      underlyingAsset:
                        type: string
                  coingeckoId:
                    type: string
                  logoURI:
                    type:
                      - string
                      - 'null'
                required:
                  - symbol
                  - chainId
                  - decimals
                  - chain
                  - identifier
                  - ticker
                  - logoURI
            isDexAgg:
              type: boolean
            providers:
              type: array
              items:
                type: string
          required:
            - provider
            - name
            - timestamp
            - version
            - keywords
            - count
            - tokens
    ValidationError:
      type: object
      properties:
        type:
          type: string
          enum:
            - /errors/validation-error
        title:
          type: string
          enum:
            - Validation Error
        status:
          type: number
          enum:
            - 400
        detail:
          type: string
        instance:
          type: string
        timestamp:
          type: string
          format: date-time
        traceId:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - message
      required:
        - type
        - title
        - status
        - detail

````